# "For Key" Methods

#### `setValueForKey` / `getValueForKey` / `mergeValueForKey` methods <a href="#setvalueforkey--getvalueforkey--mergevalueforkey-methods" id="setvalueforkey--getvalueforkey--mergevalueforkey-methods"></a>

You can store and retrieve arbitrary data in the current Captivate instance using these methods.

The data will persist even if the project is closed and another is opened, but **will be deleted on app quit**.

* `setValueForKey` - Takes three arguments, a string key, a JavaScript map of what should be stored with that key, and a callback to be called with the results of the operation.
* `getValueForKey` - Takes two arguments, a string key and a callback to be called with the value stored with that key.
* `mergeValueForKey` - Takes three arguments, a string key, a JavaScript map that should be merged with the previous contents, and a callback to be called with the results of the operation.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.newbluefx.com/captivate-api/javascript-api-reference/legacy-scheduler-methods/for-key-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
